struts-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James Drinkard <je_drink...@yahoo.com>
Subject Re: Dynavalidator Question:
Date Sat, 03 Mar 2007 15:45:09 GMT
Yes, I left out some details, sorry! It's a multi-select option control. I put this in the
struts-config.xml:
<form-property name="interests"         initial="" type="java.lang.String[]"/>
but I'm not sure it's the correct syntax for an array. All the other controls work, including
a regular select where you can only select one dropdown value.

I'm running jre 1.3, but I'm not sure of the struts.jar version. The IDE has that associated
with it's version. Is there an easy way to find out what version of struts I'm using?

Christopher Schultz <chris@christopherschultz.net> wrote: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

James,

James Drinkard wrote:
> I'm using Struts 1.0 version with a dynaform and a select control.
> For some reason the struts validator doesn't work with that control.
> I've seen that mentioned in an article before. Is this corrected in
> later versions or is there a workaround for this?

Can you be more specific? I think I might have only used Struts back to
1.1, but I have always used DynaForms (actually DynaValidatorForms)
successfully.

- -chris
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFF6Eu/9CaO5/Lv0PARAmaPAJ4vOZivdUYtvJjZ4QCiwossUTP2WgCghJPy
FB8ub0Lh1U7YJ/rTR2dw2P0=
=eZGt
-----END PGP SIGNATURE-----

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@struts.apache.org
For additional commands, e-mail: user-help@struts.apache.org



 
---------------------------------
It's here! Your new message!
Get new email alerts with the free Yahoo! Toolbar.
Mime
  • Unnamed multipart/alternative (inline, 8-Bit, 0 bytes)
View raw message